Subject: Re: CCL:force constants of diatomics in GAUSSIAN-03

From: Dmitry Rozmanov <dima|at|xenon.spb.ru>
Date: Wed, 21 Jul 2004 15:15:48 +0400

Hi Per-Ola,

This is about NO vibration.

Using mutiplicity of 2 I can get the ground state of the system. I guess if this 
is an equlibrium state there is no problem with exitation and such.

Check for yourself:

This is what Gaussian says:

  Harmonic frequencies (cm**-1), IR intensities (KM/Mole), Raman scattering
  activities (A**4/AMU), depolarization ratios for plane and unpolarized
  incident light, reduced masses (AMU), force constants (mDyne/A),
  and normal coordinates:
                      1
                     SG
  Frequencies --  2117.8243
  Red. masses --    14.8673
  Frc consts  --    39.2882
  IR Inten    --    86.4086
  Atom AN      X      Y      Z
    1   7     0.00   0.00   0.75
    2   8     0.00   0.00  -0.66

This is what GAMESS (US) says:

-------------------------------------------------------------------------------
          INTRINSIC VIBRATIONAL FREQUENCIES AND FORCE CONSTANTS
  FREQUENCIES AND FORCE CONSTANTS IN PARENTHESES SCALED BY 1.000 AND 1.000, RESP.
  -------------------------------------------------------------------------------
  INTERNAL COORDINATE        INTRINSIC FREQUENCIES
                                  (CM**-1)
  --------------------------------------------------

  STR.  2  1               2117.8       (2117.8    )

  --------------------------------------------------------------------
  INTERNAL COORDINATE                INTRINSIC FORCE CONSTANTS
                             (HARTREES/BOHR**2)        (MDYN/ANG)
  --------------------------------------------------------------------

  STR.  2  1                  1.2673  (  1.2673)     19.731  ( 19.731)

You see, the frequencies are perfectly the same and the units are the same.

However, I was pointed to a document which describes some pecularities of how 
Gaussian treats the reduced masses. I saw it before and I cannot still get how 
the same value with definite units can be different with two ways of calculation 
anyway.

Here is the link:
http://www.gaussian.com/g_whitepap/vib.htm#SECTION00036000000000000000

If this is the case, then I guess this is just a wrong way of doing things and 
the force constants got by Gaussian are not correct at all. There is a 
definition of the thing and there is no two way of calculation.

---Dmitry.

Per-Ola Norrby wrote:
>     Hi Dmitry
> 
>> I do no agree here. In fact I can do the same calculation with GAMESS 
>> (US) easily and get the meaningful result with the same method 
>> (ROHF/6-31G):
> 
> 
>     OK, I think you have two problems.  First, if GAMESS and G98 differ 
> that much, it's probably because you located two different states.  Have 
> you compared the total energies of the molecules, and the orbital 
> output?  I had a look in Jaguar, using C2v symmetry (I have to stay with 
> Abelian subgroups).  In that notation, the 2a1 state is high in energy, 
> whereas the 2b1 and 2b2 states are degenerate.  Watch out for this type 
> of situation!  The final wavefunction is completely dependent on the 
> first guess, it's very possible that Gaussian and GAMESS locate 
> different states (you can modify it in Gaussian using the GUESS 
> keyword).  And you can be quite sure that the 2b1 and 2b2 states will 
> not be correctly represented by a simple ROHF.
> 
>     I get my output as frequencies.  For the 2a1 state (the wrong one, 
> since it's high in energy), I get 943 cm-1, whereas 2b1 gives 2278 
> cm-1.  My guess is that GAMESS actually is the culprit here, locating 
> the high-energy state and thus giving a reasonable frequency for the 
> completely wrong reason.  You'd expect that an ROHF solution for a 
> problem that is inherently multideterminant would be expected to give a 
> too high force constant, like Gaussian is doing.
> 
>     And I know the problems of applying MCSCF to "real" situations, I'm 
> currently working with CASPT2 on some metal complexes.  Sometimes you 
> have to, when you run into problems that not even B3LYP or CCSD(T) can 
> handle...
> 
>     Regards,
> 
>     Per-Ola

---

From: frisch.-at-.gaussian.com (Michael Frisch)
Date: Wed, 21 Jul 2004 10:24:03 -0400

On Wed, Jul 21, 2004 at 03:15:48PM +0400, Dmitry Rozmanov wrote:
Dmitry Rozmanov wrote
> If this is the case, then I guess this is just a wrong way of doing things 
> and the force constants got by Gaussian are not correct at all. There is a

This is nonsense.  The details are in a white paper on our web site,
but the key point is that the force constant is the second derivative
with respect to a normal mode displacement and the units for the
normal mode, or equivalently the convention for what consititues a
unit step, are arbitrary.

For polyatomic molecules, one typically diagonalizes the force
constant matrix in mass-weighted coordinates, so the natural unit step
is a normalized displacement in these coordinates.  This approach is
general and applicable to any polyatomic molecule.  In the particular
case of H2 with the molecule along the x-axis, this normalized step
would be (1/sqrt(2),0,0,1/sqrt(2),0,0) in the 6 cartesian coordinates.
This unit step changes the H-H distance by sqrt(2).  For the particular
case of diatomic molecules when people calculate by hand, they use the
distance between atoms as the coordinate, which simpler for diatomics
but doesn't apply to polyatomics.  In that coordinate system, a unit
displacement changes the distance by 1 rather than sqrt(2), so the force
constants (second derivatives of the energy) differ by a factor of 2.
The corresponding reduced masses for the mode also differ by a factor
of two and the frequency is the same.  

For the diatomic, the "by hand" coordinates give a reduced mass for
the mode which is the same as the overall reduced mass for the
molecule.  For a general polyatomic molecule, the reduced mass
corresponding to a particular mode is not an observable quantity and
is not defined until one adopts a convention for the (arbitrary) size
of a unit normal mode displacement.

Mike Frisch